-- cottonBaler
-- fcelsa (Team FSI Modding)
-- 24/02/2018

cottonBalerSetIsUnloadingBaleEvent = {};

cottonBalerSetIsUnloadingBaleEvent_mt = Class(cottonBalerSetIsUnloadingBaleEvent, Event);

InitEventClass(cottonBalerSetIsUnloadingBaleEvent, "cottonBalerSetIsUnloadingBaleEvent");

function cottonBalerSetIsUnloadingBaleEvent:emptyNew()
    local self = Event:new(BalerSetIsUnloadingBaleEvent_mt);
    return self;
end

function cottonBalerSetIsUnloadingBaleEvent:new(object, isUnloadingBale)
    local self = cottonBalerSetIsUnloadingBaleEvent:emptyNew()
    self.object = object;
    self.isUnloadingBale = isUnloadingBale;
    return self;
end

function cottonBalerSetIsUnloadingBaleEvent:readStream(streamId, connection)
    self.object = readNetworkNodeObject(streamId);
    self.isUnloadingBale = streamReadBool(streamId);
    self:run(connection);
end

function cottonBalerSetIsUnloadingBaleEvent:writeStream(streamId, connection)
    writeNetworkNodeObject(streamId, self.object);
    streamWriteBool(streamId, self.isUnloadingBale);
end

function cottonBalerSetIsUnloadingBaleEvent:run(connection)
    if not connection:getIsServer() then
        g_server:broadcastEvent(self, false, connection, self.object);
    end
    self.object:setIsUnloadingBale(self.isUnloadingBale, true);
end

function cottonBalerSetIsUnloadingBaleEvent.sendEvent(object, isUnloadingBale, noEventSend)
    if noEventSend == nil or noEventSend == false then
        if g_server ~= nil then
            g_server:broadcastEvent(cottonBalerSetIsUnloadingBaleEvent:new(object, isUnloadingBale), nil, nil, object);
        else
            g_client:getServerConnection():sendEvent(cottonBalerSetIsUnloadingBaleEvent:new(object, isUnloadingBale));
        end
    end
end
